<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8"/>
    <title>Rygel.DataSource.done &ndash; librygel-server &ndash; Vala Binding Reference</title>
    <link href="../style.css" rel="stylesheet" type="text/css"/><script src="../scripts.js" type="text/javascript">
    </script>
  </head>
  <body>
    <div class="site_header">Rygel.DataSource.done &ndash; librygel-server Reference Manual</div>
    <div class="site_body">
      <div class="site_navigation">
        <ul class="navi_main">
          <li class="package_index"><a href="../index.html">Packages</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="package"><a href="index.htm">librygel-server</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="namespace"><a href="Rygel.html">Rygel</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="interface"><a href="Rygel.DataSource.html">DataSource</a></li>
        </ul>
        <hr class="navi_hr"/>
        <ul class="navi_main">
          <li class="abstract_method"><a href="Rygel.DataSource.freeze.html">freeze</a></li>
          <li class="abstract_method"><a href="Rygel.DataSource.preroll.html">preroll</a></li>
          <li class="abstract_method"><a href="Rygel.DataSource.start.html">start</a></li>
          <li class="abstract_method"><a href="Rygel.DataSource.stop.html">stop</a></li>
          <li class="abstract_method"><a href="Rygel.DataSource.thaw.html">thaw</a></li>
          <li class="signal"><a href="Rygel.DataSource.data_available.html">data_available</a></li>
          <li class="signal">done</li>
          <li class="signal"><a href="Rygel.DataSource.error.html">error</a></li>
        </ul>
      </div>
      <div class="site_content">
        <h1 class="main_title">done</h1>
        <hr class="main_hr"/>
        <h2 class="main_title">Description:</h2>
        <div class="main_code_definition"><span class="main_keyword">public</span> <span class="main_keyword">signal</span> <span class="main_keyword">void</span> <b><span class="signal">done</span></b> ()
        </div>
        <div class="description">
          <p>Emitted when the source does not have data anymore.</p>
          <p>This signal has to be emitted in the main thread.</p>
        </div>
      </div>
    </div><br/>
    <div class="site_footer">Generated by <a href="https://wiki.gnome.org/Projects/Valadoc"><kbd>valadoc</kbd></a>
    </div>
  </body>
</html>